#! /usr/bin/env python3
import argparse
import phonagen

def parseArgs():
  # Define argument parser
  parser = argparse.ArgumentParser(description='Merge several phonagen files into a single one.')
  parser.add_argument('files', metavar='file', help='files to convert merge', nargs='+')
  parser.add_argument('--output', metavar='output-file', help='Output file for the generator. The file is printed to standard output if not given.', default='')
  # Parse arguments
  return parser.parse_args()

# Main
if __name__ == '__main__':
  args = parseArgs()
  outputPhonagenFile = phonagen.PhonagenFile()
  for file in args.files:
    phonagenFile = phonagen.PhonagenFile()
    phonagenFile.load(file)
    outputPhonagenFile.mergeFrom(phonagenFile)
  #
  outputPhonagenFile.writeTo(args.output)
